Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 23 Jul 2014, 20:38
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Virtualization
Wine 1.1.30 + winetricks +color setter +goodies ...pet & sfs
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 24 [350 Posts]   Goto page: Previous 1, 2, 3, 4, ..., 22, 23, 24 Next
Author Message
_MegadetH_

Joined: 28 Sep 2008
Posts: 215
Location: Italy

PostPosted: Sat 14 Feb 2009, 14:41    Post subject:  

Thanks technosaurus
I installed each pets above. It works to run little program but I had no success with 3d games. I tried even with older version, but I think I will never run a window game Sad
Back to top
View user's profile Send private message 
mikeb


Joined: 23 Nov 2006
Posts: 8026

PostPosted: Sat 14 Feb 2009, 15:55    Post subject:  

This wine package I think does not have the open GL support enabled so you may need to try the other one available on the forum...if openGL is working for your card then wine will use it automatically.
I can play 3d games on wine with no problem,

regards

mike
Back to top
View user's profile Send private message 
technosaurus


Joined: 18 May 2008
Posts: 4277

PostPosted: Sat 14 Feb 2009, 17:48    Post subject:  

the 1.14 release has support for opengl (it is compiled against everything wine supports include GL and GLU - however there is one gaming patch/hack that was not applied because it may? cause regressions in other places) - the 1.13 does not have support for anything that is not included in puppy & is slightly faster so I have left it up

It was actually a lot of work to get Xcomposite and GLU support - The devx and xorgDEV pet were missing a bunch of stuff so I had to download the whole 100mb dingo source archive and patch some pc files. I can upload a pet if anyone wants it as it should work for compiling other opengl programs too

As far as games many don't work out of the box (even if all the pieces/parts work)- check winehq.org to see the nuances for any particular game

edit: btw you may want to uninstall 1.13 and reinstall 1.14 to regain 3d support

_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
mikeb


Joined: 23 Nov 2006
Posts: 8026

PostPosted: Sat 14 Feb 2009, 18:21    Post subject:  

Wot he said ^^^

One tip is that I found many games would only run properly if preceeded by a cd (call directory) to the programs folder as otherwise it could not find it's own files as launching from linux is not quite the same as launching in windows.

regards

mike
Back to top
View user's profile Send private message 
_MegadetH_

Joined: 28 Sep 2008
Posts: 215
Location: Italy

PostPosted: Sun 15 Feb 2009, 06:38    Post subject:  

technosaurus wrote:
the 1.14 release has support for opengl (it is compiled against everything wine supports include GL and GLU - however there is one gaming patch/hack that was not applied because it may? cause regressions in other places) - the 1.13 does not have support for anything that is not included in puppy & is slightly faster so I have left it up

It was actually a lot of work to get Xcomposite and GLU support - The devx and xorgDEV pet were missing a bunch of stuff so I had to download the whole 100mb dingo source archive and patch some pc files. I can upload a pet if anyone wants it as it should work for compiling other opengl programs too

As far as games many don't work out of the box (even if all the pieces/parts work)- check winehq.org to see the nuances for any particular game

edit: btw you may want to uninstall 1.13 and reinstall 1.14 to regain 3d support


No, even 1.13 version didn't work for me with 3d games. I installed 1.14 because I though It could work for them.
When I run quake 3 I have this error:

Q3 1.11 win-x86 Nov 24 1999
----- FS_Startup -----
Current search path:
H:\\baseq3\pak0.pk3 (3539 files)
H:\/baseq3

----------------------
execing default.cfg
execing q3config.cfg
couldn't exec autoexec.cfg
...detecting CPU, found Intel Pentium III

------- Input Initialization -------
Initializing DirectInput...
Couldn't set DI coop level
Falling back to Win32 mouse support...
Joystick is not active.
------------------------------------
----- Client Initialization -----
----- Initializing Renderer ----
-------------------------------
----- Client Initialization Complete -----
--- Common Initialization Complete ---
Winsock Initialized
Opening IP socket: localhost:27960
Hostname: localhost
Alias: puppypc
IP: 127.12.34.56
Working directory: H:\
----- R_Init -----
Initializing OpenGL subsystem
...initializing QGL
...calling LoadLibrary( 'C:\windows\system32\opengl32.dll' ): succeeded
...setting mode 3: 640 480 FS
...using desktop display depth of 16
...calling CDS: ok
...registered window class
...created window@0,0 (640x480)
Initializing OpenGL driver
...getting DC: succeeded
...GLW_ChoosePFD( 16, 16, 0 )
...-1 PFDs found
...GLW_ChoosePFD failed
...GLW_ChoosePFD( 16, 16, 0 )
...-1 PFDs found
...GLW_ChoosePFD failed
...failed to find an appropriate PIXELFORMAT
...restoring display settings
...WARNING: could not set the given mode (3)
...setting mode 3: 640 480 FS
...using colorsbits of 16
...calling CDS: ok
...created window@0,0 (640x480)
Initializing OpenGL driver
...getting DC: succeeded
...GLW_ChoosePFD( 16, 16, 0 )
...-1 PFDs found
...GLW_ChoosePFD failed
...GLW_ChoosePFD( 16, 16, 0 )
...-1 PFDs found
...GLW_ChoosePFD failed
...failed to find an appropriate PIXELFORMAT
...restoring display settings
...WARNING: could not set the given mode (3)
...shutting down QGL
...unloading OpenGL DLL
...assuming '3dfxvgl' is a standalone driver
...initializing QGL
...WARNING: missing Glide installation, assuming no 3Dfx available
...shutting down QGL
----- CL_Shutdown -----
RE_Shutdown( 1 )
-----------------------
GLW_StartOpenGL() - could not load OpenGL subsystem


Do you think there's something wrong with opengl support?
Please tell me If I need to install something else.
Sorry for long post... I always tried to register to winehq forum but they never sent me the account activation mail.
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Sun 15 Feb 2009, 06:50    Post subject:  

please attach your /var/log/Xorg.0.log (zipped).
OpenGL seems to works, just not the PIXELFORMAT stuff.
Wine's opengl implementation uses some Nvidia specific code, and sometimes fails with other cards.

Btw. there is quake 3 for Puppy:
http://www.murga-linux.com/puppy/viewtopic.php?t=7134
http://www.murga-linux.com/puppy/viewtopic.php?t=7892
http://www.murga-linux.com/puppy/viewtopic.php?t=13621

There also is
icquake3.tar.gz
at:
http://dotpups.de/dotpups/Games/
But I cannot find the corresponding forummessage.
Mark

_________________
my recommended links
Back to top
View user's profile Send private message Visit poster's website 
_MegadetH_

Joined: 28 Sep 2008
Posts: 215
Location: Italy

PostPosted: Sun 15 Feb 2009, 07:18    Post subject:  

MU wrote:
please attach your /var/log/Xorg.0.log (zipped).
OpenGL seems to works, just not the PIXELFORMAT stuff.
Wine's opengl implementation uses some Nvidia specific code, and sometimes fails with other cards.

Btw. there is quake 3 for Puppy:
http://www.murga-linux.com/puppy/viewtopic.php?t=7134
http://www.murga-linux.com/puppy/viewtopic.php?t=7892
http://www.murga-linux.com/puppy/viewtopic.php?t=13621

There also is
icquake3.tar.gz
at:
http://dotpups.de/dotpups/Games/
But I cannot find the corresponding forummessage.
Mark


I attached Xorg.0.log. I forgot to say I've a tnt2 riva vanta 32Mb video card.
I hope to I will play 3d games, because I'm used to be a windows user and I have lot of cool windows games.
Thanks for links I'm checking out.
varlog.tar.gz
Description  varlog
gz

 Download 
Filename  varlog.tar.gz 
Filesize  6.93 KB 
Downloaded  685 Time(s) 
Back to top
View user's profile Send private message 
vovchik


Joined: 23 Oct 2006
Posts: 1285
Location: Ukraine

PostPosted: Sun 15 Feb 2009, 07:25    Post subject:  

Dear technosaurus,

Your version of 1.1.14 works fine under Puppy 3.01, too. Many thanks for the compilation and the inclusion of features such as Jack and openGL. Interestingly, I had previously installed 1.1.15 from the Suse 10.3 distribution and it worked fine except that winhlp32 did not work (old-style help). I don't know whether this is a regression problem relating to v. 1.1.15 or a problem with the Suse compile. In any case, your 1.1.14 does not have this problem, so I replaced Suse 1.1.15 with your version. Good work.

With kind regards,
vovchik
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Sun 15 Feb 2009, 09:08    Post subject:  

MegadetH

You need driver 71.86.06 from:

As you use the retro kernel, this pet might work:
http://www.murga-linux.com/puppy/viewtopic.php?t=22272
It also might not work, as that kernel was recompiled in Puppy 4 retro.

So you might try Puppy 4.12 with the standard kernel, then you can use the pet from here:
http://www.murga-linux.com/puppy/viewtopic.php?t=34001

Mark

_________________
my recommended links
Back to top
View user's profile Send private message Visit poster's website 
_MegadetH_

Joined: 28 Sep 2008
Posts: 215
Location: Italy

PostPosted: Sun 15 Feb 2009, 11:56    Post subject:  

MU wrote:
MegadetH

You need driver 71.86.06 from:

As you use the retro kernel, this pet might work:
http://www.murga-linux.com/puppy/viewtopic.php?t=22272
It also might not work, as that kernel was recompiled in Puppy 4 retro.

So you might try Puppy 4.12 with the standard kernel, then you can use the pet from here:
http://www.murga-linux.com/puppy/viewtopic.php?t=34001

Mark


I already have installed the Nvidia driver NVIDIA-71.86.06-k2.6.25.16. It doesn't work for me.
To try with standard kernel I've to reinstall puppy and configure it from zero again discouraging. I'll try when I'll have to format and reinstall again the system.
thanks anyway Wink
Back to top
View user's profile Send private message 
technosaurus


Joined: 18 May 2008
Posts: 4277

PostPosted: Tue 17 Feb 2009, 22:37    Post subject:  

Very impressive packaging of opera - only ~6MB including flash plugin in a single runnable exe
http://www.kejut.com/operaportable

_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
gymnart


Joined: 10 Dec 2008
Posts: 105

PostPosted: Fri 27 Feb 2009, 15:06    Post subject:  

The download is not working for me. I don't remember how to copy and paste the error messages to show you. They say something about the file being corrupted or not expanded and told me to go into .packages and do some sort of thing to fix it. when I tried to extract the tar.gz, I get an error message about some "needed program not found." I don't understand, I have not had this problem with trying to install any .pet packages before.

When I click on the download link, I get some sort of "exceeded downloads limit" message. I really would like to get this package...where else can I download it?
Back to top
View user's profile Send private message Visit poster's website 
Caneri

Joined: 04 Sep 2007
Posts: 1580
Location: Canada

PostPosted: Fri 27 Feb 2009, 15:20    Post subject:  

Hi gymnart,

I'm very sorry but pupylinux.asia has used all the bandwidth for February.

I'll see what I can do and post here.
Eric

OK..I'm doing the wget --mirror thingy....please wait for a little bit to download this

http://puppylinux.ca/members/T/486_pet/

Thanks

EDIT:..well ok..I need to run the diff and move the files because of my mistake but there you go...d/l now. We have had a problem with speeds so please bear with me.

_________________
Be not afraid to grow slowly, only be afraid of standing still.
Chinese Proverb

Back to top
View user's profile Send private message 
gymnart


Joined: 10 Dec 2008
Posts: 105

PostPosted: Fri 27 Feb 2009, 16:19    Post subject:  

Thank you very much!! Very Happy
Back to top
View user's profile Send private message Visit poster's website 
gymnart


Joined: 10 Dec 2008
Posts: 105

PostPosted: Fri 27 Feb 2009, 16:36    Post subject:  

P.S. which package has the file, libesd.so.0? I checked the dependencies with pup's "Check Dependencies Installed" tool and that's the file that it says is needed.
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 2 of 24 [350 Posts]   Goto page: Previous 1, 2, 3, 4, ..., 22, 23, 24 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Virtualization
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0918s ][ Queries: 13 (0.0074s) ][ GZIP on ]